<?php

class SiteAppsAPI 
{
    
    public function getSegmentsByClient($siteAppsId, $privateKey, $publicKey)
    {
        $segments = array();
        try {
            $params = json_encode(array('site_id' => $siteAppsId));

            $hash = hash_hmac('sha256', $params, $privateKey);

            $segmentsReturn = $this->submit($hash, $params, $publicKey);
            $segmentsArray = json_decode($segmentsReturn, 1);

            
            if ($segmentsArray['status'] == 100 && is_array($segmentsArray['content'])) {
                $segments = $segmentsArray['content'];
            }
        } catch (Exception $e) {
            $segments = array();
        }
        return $segments;
    }
    
    private function submit($hash, $params, $publicKey)
    {
        $postData = array(
            "hash"          => $hash,
            "public-key"    => $publicKey,
            "json-data"     => $params
        );
        
        $ch = curl_init();
        
        curl_setopt($ch, CURLOPT_URL, 'https://api.siteapps.com/Segment/getSegments');
        curl_setopt($ch, CURLOPT_HEADER, 0);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $postData);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        
        $result = curl_exec($ch);
        curl_close($ch);
        return $result;
    }
    
}

?>
